Loading...
Searching...
No Matches
mdds::trie::value_serializer< T, U > Struct Template Reference

`#include <trie_map.hpp>`

Inheritance diagram for mdds::trie::value_serializer< T, U >:

## Additional Inherited Members

Static Public Member Functions inherited from mdds::trie::numeric_value_serializer< T >
static void | write (std::ostream &os, const T &v)
static void | read (std::istream &is, size_t n, T &v)
Static Public Attributes inherited from mdds::trie::numeric_value_serializer< T >
static constexpr bool | variable_size = false
static constexpr size_t | value_size = sizeof(T)

## Detailed Description

template<typename T, typename U = void>
struct mdds::trie::value_serializer< T, U >

Default value serializer for mdds::packed_trie_map's load_state and save_state methods. The primary template is used for numeric value types, and template specializations exist for std::string, as well as sequence containers, such as std::vector, whose elements are of numeric types.